Skip to main content
Get Posts
POST https://services.leadconnectorhq.com/social-media-posting/{locationId}/posts/list

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Path parameters

locationId
string
default:"ve9EPM428h8vShlRW1KT"
required
Account Id

Body

type
string
default:"Filter type"
type must be one of the following values: recent, all, scheduled, draft, failed, in_review, published, in_progress and deleted
accounts
string
List of account Ids separated by comma as a string
skip
string
default:"1"
required
limit
string
default:"10"
required
fromDate
string
default:"2024-01-22T05:32:49.463Z"
required
From Date
toDate
string
default:"2024-03-20T05:32:49.463Z"
required
To Date
includeUsers
string
default:"true"
required
Include User Data
postType
object
default:"post"
Post Type must be one of the following values: - post, story, reel

Respuestas

success
boolean
default:"True"
required
Success or Failure
statusCode
number
default:"201"
required
Status Code
message
string
default:"Fetched Posts"
required
Message
results
object
Requested Results
{
  "success": true,
  "statusCode": 201,
  "message": "Fetched Posts"
}
{}
{}
{}

Ejemplo

curl -X POST 'https://services.leadconnectorhq.com/social-media-posting/YOUR_locationId/posts/list' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "type": "Filter type",
  "accounts": "660a83fc29deacac50033e2b_omaDY3RbWtTP511e808O_17841465964543589, 38bF83fc29deacac50033e2b_omaDY3RbWtr3P11e808O_17841465964543998",
  "skip": "1",
  "limit": "10",
  "fromDate": "2024-01-22T05:32:49.463Z",
  "toDate": "2024-03-20T05:32:49.463Z",
  "includeUsers": "true",
  "postType": "post"
}'
const response = await fetch('https://services.leadconnectorhq.com/social-media-posting/YOUR_locationId/posts/list', {
  method: 'POST',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"type": "Filter type", "accounts": "660a83fc29deacac50033e2b_omaDY3RbWtTP511e808O_17841465964543589, 38bF83fc29deacac50033e2b_omaDY3RbWtr3P11e808O_17841465964543998", "skip": "1", "limit": "10", "fromDate": "2024-01-22T05:32:49.463Z", "toDate": "2024-03-20T05:32:49.463Z", "includeUsers": "true", "postType": "post"}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'POST',
    'https://services.leadconnectorhq.com/social-media-posting/YOUR_locationId/posts/list',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"type": "Filter type", "accounts": "660a83fc29deacac50033e2b_omaDY3RbWtTP511e808O_17841465964543589, 38bF83fc29deacac50033e2b_omaDY3RbWtr3P11e808O_17841465964543998", "skip": "1", "limit": "10", "fromDate": "2024-01-22T05:32:49.463Z", "toDate": "2024-03-20T05:32:49.463Z", "includeUsers": "true", "postType": "post"},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/social-media-posting/YOUR_locationId/posts/list');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'type': 'Filter type', 'accounts': '660a83fc29deacac50033e2b_omaDY3RbWtTP511e808O_17841465964543589, 38bF83fc29deacac50033e2b_omaDY3RbWtr3P11e808O_17841465964543998', 'skip': '1', 'limit': '10', 'fromDate': '2024-01-22T05:32:49.463Z', 'toDate': '2024-03-20T05:32:49.463Z', 'includeUsers': 'true', 'postType': 'post'}),
]);
$data = json_decode(curl_exec($ch), true);